Bug 543076 - mkinitrd generates: WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 3
mkinitrd generates: WARNING: GRUB::GrubDev2UnixDev: No partition found for /d...
Status: VERIFIED WONTFIX
Classification: openSUSE
Product: openSUSE 11.1
Classification: openSUSE
Component: Kernel
Final
i586 openSUSE 11.3
: P5 - None : Major with 11 votes (vote)
: ---
Assigned To: Kay Sievers
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-30 06:13 UTC by Hedge Hog
Modified: 2010-11-11 07:44 UTC (History)
9 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
result of save_y2logs /tmp/y2logs.tgz (7.42 MB, application/x-compressed-tar)
2010-01-21 21:29 UTC, Hedge Hog
Details
other result of save_y2logs /tmp/y2logs.tgz (7.02 MB, application/x-compressed-tar)
2010-01-21 21:55 UTC, Patrick Smart
Details
log of mkinitrd call resulting in warnings (1.76 KB, text/x-log)
2010-07-20 11:54 UTC, Andreas Kilgus
Details
log of perl-Bootloader resulting in warnings (15.77 KB, text/plain)
2010-07-20 11:56 UTC, Andreas Kilgus
Details
Upgrade-Log et al (6.63 MB, application/x-tgz)
2010-07-29 10:01 UTC, Andreas Kilgus
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hedge Hog 2009-09-30 06:13:31 UTC
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1.3) Gecko/20090909 SUSE/3.5.3-1.2 Firefox/3.5.3

This error occurs for several users, possibly leaving machine unbootable:

See here:

http://www.linuxquestions.org/questions/susenovell-60/mkinitrd-failing-after-automatic-updates-machine-upbootable-750318/

See here too:

http://forums.opensuse.org/install-boot-login/420557-updates-keep-destroying-initrd-boot-config.html


Reproducible: Always

Steps to Reproduce:
1. mkinitrd_setup
2. mkinitrd -v -i /boot/initrd-`uname -r` -k /boot/vmlinuz-`uname -r`
3.
Actual Results:  
Kernel image:   /boot/vmlinuz-2.6.27.29-0.1-trace
Initrd image:   /boot/initrd-2.6.27.29-0.1-trace 
Root device:    /dev/system/root (mounted on / as ext3)
Resume device:  /dev/system/swap                       
[BLOCK] /dev/sda -> ata_piix                           
[BLOCK] /dev/sda -> sd_mod                             
[MODULES]       02-start.sh: processor thermal ahci fan jbd ext3 dm_mod edd
[MODULES]       03-dm.sh: dm-multipath                                     
[MODULES]       03-dm.sh: dm-mod                                           
[MODULES]       03-dm.sh: dm-snapshot                                      
[MODULES]       03-storage.sh: ext3                                        
[MODULES]       11-block.sh: ata_piix sd_mod                               
[MODULES]       11-usb.sh: usbcore                                         
[MODULES]       11-usb.sh: ohci_hcd                                        
[MODULES]       11-usb.sh: uhci-hcd                                        
[MODULES]       11-usb.sh: ehci_hcd                                        
[MODULES]       11-usb.sh: usbhid                                          
[MODULES]       21-multipath.sh: dm-multipath                              
[MODULES]       21-multipath.sh: dm-round-robin                            
[MODULES]       21-multipath.sh: scsi-dh-emc
[MODULES]       21-multipath.sh: scsi-dh-hp_sw
[MODULES]       21-multipath.sh: scsi-dh-rdac
[MODULES]       21-multipath.sh: scsi-dh-alua
[MODULES]       61-lvm2.sh: linear
Kernel Modules: hwmon thermal_sys processor thermal dock scsi_mod libata ahci fan jbd mbcache ext3 dm-mod edd scsi_dh dm-multipath dm-snapshot ata_piix crc-t10dif sd_mod usbcore ohci-hcd uhci-hcd ehci-hcd ff-memless hid usbhid dm-round-robin scsi_dh_emc scsi_dh_hp_sw scsi_dh_rdac scsi_dh_alua linear
[MOUNT] Root:   /dev/system/root
Features:       dm block usb multipath kpartx lvm2 resume.userspace resume.kernel
Bootsplash:     openSUSE (1280x1024)
Shared libs:    lib/ld-2.9.so lib/libacl.so.1.1.0 lib/libaio.so.1.0.1 lib/libattr.so.1.1.0 lib/libblkid.so.1.0 lib/libc-2.9.so lib/libcom_err.so.2.1 lib/libdevmapper-event.so.1.02 lib/libdevmapper.so.1.02 lib/libdl-2.9.so lib/libe2p.so.2.3 lib/libext2fs.so.2.4 lib/libgcc_s.so.1 lib/libgcrypt.so.11.4.4 lib/libgpg-error.so.0.4.0 lib/liblzo2.so.2.0.0 lib/libncurses.so.5.6 lib/libpthread-2.9.so lib/libreadline.so.5.2 lib/librt-2.9.so lib/libselinux.so.1 lib/libsepol.so.1 lib/libsysfs.so.2.0.1 lib/libutil-2.9.so lib/libuuid.so.1.2 lib/libvolume_id.so.1.0.1 lib/libz.so.1.2.3 lib/multipath/libmultipath.so usr/lib/libdirect-1.2.so.0.3.0 usr/lib/libdirectfb-1.2.so.0.3.0 usr/lib/libfusion-1.2.so.0.3.0 usr/lib/libglib-2.0.so.0.1800.2 usr/lib/libsplashy.so.1.0.0 usr/lib/libsplashycnf.so.1.0.0 usr/local/lib/libpcre.so.0.0.1 lib/libnss_dns-2.9.so lib/libnss_dns.so.2 lib/libnss_files-2.9.so lib/libnss_files.so.2 lib/libgcc_s.so.1
25534 blocks
2009-09-30 12:07:14 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 3.
2009-09-30 12:07:14 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 3.
2009-09-30 12:07:14 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 3.
2009-09-30 12:07:14 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 3.
2009-09-30 12:07:14 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 3.
2009-09-30 12:07:14 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 3.
2009-09-30 12:07:14 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 3.
2009-09-30 12:07:14 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 3.
2009-09-30 12:07:14 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 3.
2009-09-30 12:07:14 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 3.
2009-09-30 12:07:14 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 3.
2009-09-30 12:07:14 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 3.
2009-09-30 12:07:14 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 3.
2009-09-30 12:07:14 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 3.

Expected Results:  
No warnings.


localhost:~ # parted /dev/sda print
Model: ATA FUJITSU MHV2100A (scsi) 
Disk /dev/sda: 100GB               
Sector size (logical/physical): 512B/512B
Partition Table: msdos                   

Number  Start   End     Size    Type     File system  Flags                            
 1      32.3kB  65.8MB  65.8MB  primary               , , , , , lvm, , , , type=8e, ,  
 3      65.8MB  140MB   74.0MB  primary  ext3         boot, , , , , , , , , type=83, , 
 4      140MB   16.2GB  16.0GB  primary               , , , , , lvm, , , , type=8e, ,  
 2      16.2GB  100GB   83.9GB  primary               , , , , , lvm, , , , type=8e, ,  



localhost:~ # hwinfo --partition|grep --context=15 /dev/sda
22: None 00.0: 11300 Partition                             
  [Created at block.412]                                   
  UDI: /org/freedesktop/Hal/devices/volume_uuid_TE3G8Z_KcDm_dykS_QLET_a3Mc_oczu_ePnJHq
  Unique ID: bdUI.SE1wIdpsiiC                                                         
  Parent ID: 3OOL.fquimRS9gGB                                                         
  SysFS ID: /class/block/sda/sda1                                                     
  Hardware Class: partition                                                           
  Model: "Partition"                                                                  
  Device File: /dev/sda1                                                              
  Device Files: /dev/sda1, /dev/disk/by-id/scsi-SATA_FUJITSU_MHV2100_NT23T5927VT5-part1, /dev/disk/by-id/ata-FUJITSU_MHV2100AH_NT23T5927VT5-part1, /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part1, /dev/disk/by-id/edd-int13_dev80-part1, /dev/disk/by-id/lvm2-pvuuid-TE3G8Z-KcDm-dykS-QLET-a3Mc-oczu-ePnJHq                          
  Config Status: cfg=no, avail=yes, need=no, active=unknown                                                    
  Attached to: #21 (Disk)                                                                                      

23: None 00.0: 11300 Partition
  [Created at block.412]      
  UDI: /org/freedesktop/Hal/devices/volume_uuid_x1ZlLG_Z4Fg_BibW_EDQ1_D1rS_qP3L_X4Yv5V
  Unique ID: 2pkM.SE1wIdpsiiC                                                         
  Parent ID: 3OOL.fquimRS9gGB                                                         
  SysFS ID: /class/block/sda/sda2                                                     
  Hardware Class: partition                                                           
  Model: "Partition"                                                                  
  Device File: /dev/sda2                                                              
  Device Files: /dev/sda2, /dev/disk/by-id/scsi-SATA_FUJITSU_MHV2100_NT23T5927VT5-part2, /dev/disk/by-id/ata-FUJITSU_MHV2100AH_NT23T5927VT5-part2, /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part2, /dev/disk/by-id/edd-int13_dev80-part2, /dev/disk/by-id/lvm2-pvuuid-x1ZlLG-Z4Fg-BibW-EDQ1-D1rS-qP3L-X4Yv5V                          
  Config Status: cfg=no, avail=yes, need=no, active=unknown                                                    
  Attached to: #21 (Disk)                                                                                      

24: None 00.0: 11300 Partition
  [Created at block.412]      
  UDI: /org/freedesktop/Hal/devices/volume_uuid_36ec07ba_56a4_4d7c_abbe_5ca8558ff4b0
  Unique ID: W__Q.SE1wIdpsiiC                                                       
  Parent ID: 3OOL.fquimRS9gGB                                                       
  SysFS ID: /class/block/sda/sda3                                                   
  Hardware Class: partition                                                         
  Model: "Partition"                                                                
  Device File: /dev/sda3                                                            
  Device Files: /dev/sda3, /dev/disk/by-id/scsi-SATA_FUJITSU_MHV2100_NT23T5927VT5-part3, /dev/disk/by-id/ata-FUJITSU_MHV2100AH_NT23T5927VT5-part3, /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part3, /dev/disk/by-uuid/36ec07ba-56a4-4d7c-abbe-5ca8558ff4b0, /dev/disk/by-id/edd-int13_dev80-part3
  Config Status: cfg=no, avail=yes, need=no, active=unknown
  Attached to: #21 (Disk)

25: None 00.0: 11300 Partition
  [Created at block.412]
  UDI: /org/freedesktop/Hal/devices/volume_uuid_LGQB7E_mn5L_vsAr_Rhkq_ikaX_kADy_MV769t
  Unique ID: z9FV.SE1wIdpsiiC
  Parent ID: 3OOL.fquimRS9gGB
  SysFS ID: /class/block/sda/sda4
  Hardware Class: partition
  Model: "Partition"
  Device File: /dev/sda4
  Device Files: /dev/sda4, /dev/disk/by-id/scsi-SATA_FUJITSU_MHV2100_NT23T5927VT5-part4, /dev/disk/by-id/ata-FUJITSU_MHV2100AH_NT23T5927VT5-part4, /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part4, /dev/disk/by-id/edd-int13_dev80-part4, /dev/disk/by-id/lvm2-pvuuid-LGQB7E-mn5L-vsAr-Rhkq-ikaX-kADy-MV769t
  Config Status: cfg=no, avail=yes, need=no, active=unknown
  Attached to: #21 (Disk)

28: None 00.0: 11300 Partition
  [Created at block.412]
  UDI: /org/freedesktop/Hal/devices/volume_uuid_0c91ef48_4ab9_4df2_8dd4_9e685333353d
  Unique ID: h4pj.SE1wIdpsiiC
  Parent ID: fJYU.3z5PMRoMi+3
  SysFS ID: /class/block/sdb/sdb1
  Hardware Class: partition
  Model: "Partition"
  Device File: /dev/sdb1
  Device Files: /dev/sdb1, /dev/disk/by-id/usb-Maxtor_Basics_Desktop_2HBECNVT-0:0-part1, /dev/disk/by-path/pci-0000:00:1d.7-usb-0:6:1.0-scsi-0:0:0:0-part1, /dev/disk/by-uuid/0c91ef48-4ab9-4df2-8dd4-9e685333353d
  Config Status: cfg=no, avail=yes, need=no, active=unknown
  Attached to: #27 (Disk)
Comment 1 Hedge Hog 2009-09-30 12:31:16 UTC
hwinfo --partition from the suse forum OP is below.  
The only thing that struck me was the Unique ID value of sda3 contains "_" It couldn't be so simple as a regex missing the non-'a:z' value?  Wishful thinking things are that simple :)

# sudo hwinfo --partition|grep --context=15 /dev/sda
21: None 00.0: 11300 Partition
 [Created at block.412]
 UDI: /org/freedesktop/Hal/devices/volume_uuid_4452153E52153660
 Unique ID: bdUI.SE1wIdpsiiC
 Parent ID: 3OOL.UK5FR6qJlS2
 SysFS ID: /class/block/sda/sda1
 Hardware Class: partition
 Model: "Partition"
 Device File: /dev/sda1
 Device Files: /dev/sda1, /dev/disk/by-id/scsi-SATA_WDC_WD2500AAJS-_WD-WMAT15666892-part1, /dev/disk/by-id/ata-WDC_WD2500AAJS-75B4A0_WD-WMAT15666892-part1, /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part1, /dev/disk/by-uuid/4452153E52153660
 Config Status: cfg=no, avail=yes, need=no, active=unknown
 Attached to: #20 (Disk)

22: None 00.0: 11300 Partition
 [Created at block.412]
 UDI: /org/freedesktop/Hal/devices/volume_uuid_EC883AB8883A815E
 Unique ID: 2pkM.SE1wIdpsiiC
 Parent ID: 3OOL.UK5FR6qJlS2
 SysFS ID: /class/block/sda/sda2
 Hardware Class: partition
 Model: "Partition"
 Device File: /dev/sda2
 Device Files: /dev/sda2, /dev/disk/by-id/scsi-SATA_WDC_WD2500AAJS-_WD-WMAT15666892-part2, /dev/disk/by-id/ata-WDC_WD2500AAJS-75B4A0_WD-WMAT15666892-part2, /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part2, /dev/disk/by-uuid/EC883AB8883A815E, /dev/disk/by-label/DATA
 Config Status: cfg=no, avail=yes, need=no, active=unknown
 Attached to: #20 (Disk)

23: None 00.0: 11300 Partition
 [Created at block.412]
 UDI: /org/freedesktop/Hal/devices/volume_part3_size_1024
 Unique ID: W__Q.SE1wIdpsiiC
 Parent ID: 3OOL.UK5FR6qJlS2
 SysFS ID: /class/block/sda/sda3
 Hardware Class: partition
 Model: "Partition"
 Device File: /dev/sda3
 Device Files: /dev/sda3, /dev/disk/by-id/scsi-SATA_WDC_WD2500AAJS-_WD-WMAT15666892-part3, /dev/disk/by-id/ata-WDC_WD2500AAJS-75B4A0_WD-WMAT15666892-part3, /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part3
 Config Status: cfg=no, avail=yes, need=no, active=unknown
 Attached to: #20 (Disk)

24: None 00.0: 11300 Partition
 [Created at block.412]
 UDI: /org/freedesktop/Hal/devices/volume_uuid_ec6389b3_078d_40e3_962c_0835e39c7346
 Unique ID: QLVZ.SE1wIdpsiiC
 Parent ID: 3OOL.UK5FR6qJlS2
 SysFS ID: /class/block/sda/sda5
 Hardware Class: partition
 Model: "Partition"
 Device File: /dev/sda5
 Device Files: /dev/sda5, /dev/disk/by-id/scsi-SATA_WDC_WD2500AAJS-_WD-WMAT15666892-part5, /dev/disk/by-id/ata-WDC_WD2500AAJS-75B4A0_WD-WMAT15666892-part5, /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part5, /dev/disk/by-uuid/ec6389b3-078d-40e3-962c-0835e39c7346
 Config Status: cfg=no, avail=yes, need=no, active=unknown
 Attached to: #20 (Disk)

25: None 00.0: 11300 Partition
 [Created at block.412]
 UDI: /org/freedesktop/Hal/devices/volume_uuid_fbb07455_3e0e_4cdf_8cba_7b7cb51d4e06
 Unique ID: tWld.SE1wIdpsiiC
 Parent ID: 3OOL.UK5FR6qJlS2
 SysFS ID: /class/block/sda/sda6
 Hardware Class: partition
 Model: "Partition"
 Device File: /dev/sda6
 Device Files: /dev/sda6, /dev/root, /dev/disk/by-id/scsi-SATA_WDC_WD2500AAJS-_WD-WMAT15666892-part6, /dev/disk/by-id/ata-WDC_WD2500AAJS-75B4A0_WD-WMAT15666892-part6, /dev/disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0-part6, /dev/disk/by-uuid/fbb07455-3e0e-4cdf-8cba-7b7cb51d4e06
 Config Status: cfg=no, avail=yes, need=no, active=unknown
 Attached to: #20 (Disk)
Comment 2 Hedge Hog 2009-09-30 21:46:56 UTC
Also from the opensuse forum OP:

> sudo parted /dev/sda print
root's password:
Model: ATA WDC WD2500AAJS-7 (scsi)
Disque /dev/sda : 250GB
Taille des secteurs (logiques/physiques): 512B/512B
Table de partition : msdos

Numéro  Début   Fin     Taille  Type      Système de fichiers  Fanions
 1      1049kB  52,4GB  52,4GB  primary   ntfs                 démarrage, , , , , , , , , type=07, ,
 2      52,4GB  212GB   160GB   primary   ntfs                 , , , , , , , , , type=07, ,
 3      212GB   250GB   37,7GB  extended                       , , , , , , lba, , , type=0f, ,
 5      212GB   214GB   2153MB  logical   linux-swap           , , , , , , , , , type=82, ,
 6      214GB   250GB   35,5GB  logical   ext3                 , , , , , , , , , type=83, ,

HTH
Comment 3 Patrick Smart 2009-12-03 23:23:04 UTC
I wanted to try the desktop kernel for 11.2 but it fails to boot with a message similar to "unknown partition type 0x82". I spotted that mkinitrd indeed gives warnings for this kernel. I'll try to give the same info as above for my case as I wouldn't know what else to provide.

mkinitrd -v -i /boot/initrd-`uname -r` -k /boot/vmlinuz-`uname -r`     

Kernel image:   /boot/vmlinuz-2.6.31.5-0.1-default
Initrd image:   /boot/initrd-2.6.31.5-0.1-default
Root device:    /dev/system/os110 (mounted on / as ext3)
Resume device:  /dev/system/swap
[BLOCK] /dev/sda -> ahci
[BLOCK] /dev/sda -> sd_mod
[MODULES]       02-start.sh: processor thermal pata_jmicron ahci fan jbd ext3 dm_mod edd
[MODULES]       02-start.sh:
[MODULES]       03-dm.sh:
[MODULES]       03-dm.sh: dm-mod
[MODULES]       03-dm.sh: dm-snapshot
[MODULES]       03-rtc.sh: rtc_cmos
[MODULES]       03-storage.sh:
[MODULES]       11-block.sh: ahci sd_mod
[MODULES]       11-usb.sh: usbcore
[MODULES]       11-usb.sh: ohci_hcd
[MODULES]       11-usb.sh: uhci-hcd
[MODULES]       11-usb.sh: ehci_hcd
[MODULES]       11-usb.sh: usbhid
[MODULES]       61-lvm2.sh: linear
[MODULES]       'modinfo -k "2.6.31.5-0.1-default" -F supported'  returned with an error.
[MODULES]       Module 'usbcore' is compiled in
[MODULES]       Module 'ohci_hcd' is compiled in
[MODULES]       Module 'ehci_hcd' is compiled in
[MODULES]       Module 'usbhid' is compiled in
Kernel Modules: thermal_sys processor thermal pata_jmicron fan dm-mod edd dm-snapshot linear
[MOUNT] Root:   /dev/system/os110
Features:       dm block usb lvm2 resume.userspace resume.kernel
Bootsplash:     openSUSE (1280x1024)
Shared libs:    lib64/ld-2.10.1.so lib64/libacl.so.1.1.0 lib64/libattr.so.1.1.0 lib64/libblkid.so.1.1.0 lib64/libc-2.10.1.so lib64/libcap.so.2.16 lib64/libcom_err.so.2.1 lib64/libdevmapper-event.so.1.02 lib64/libdevmapper.so.1.02 lib64/libdl-2.10.1.so lib64/libe2p.so.2.3 lib64/libext2fs.so.2.4 lib64/libgcrypt.so.11.5.2 lib64/libgpg-error.so.0.5.0 lib64/libkeyutils-1.2.so lib64/liblzo2.so.2.0.0 lib64/libncurses.so.5.6 lib64/libpcre.so.0.0.1 lib64/libpthread-2.10.1.so lib64/libreadline.so.6.0 lib64/libresolv-2.10.1.so lib64/librt-2.10.1.so lib64/libselinux.so.1 lib64/libudev.so.0.5.0 lib64/libutil-2.10.1.so lib64/libuuid.so.1.3.0 lib64/libz.so.1.2.3 usr/lib64/libatasmart.so.4.0.0 usr/lib64/libcrypto.so.0.9.8 usr/lib64/libcups.so.2 usr/lib64/libdal-0.3.so.0.0.0 usr/lib64/libdirect-1.2.so.0.8.0 usr/lib64/libdirectfb-1.2.so.0.8.0 usr/lib64/libfusion-1.2.so.0.8.0 usr/lib64/libglib-2.0.so.0.2200.1 usr/lib64/libgssapi_krb5.so.2.2 usr/lib64/libk5crypto.so.3.1 usr/lib64/libkrb5.so.3.3 usr/lib64/libkrb5support.so.0.1 usr/lib64/libparted-1.9.so.0.0.0 usr/lib64/libreiserfs-0.3.so.0.0.0 usr/lib64/libsplashy.so.1.0.0 usr/lib64/libsplashycnf.so.1.0.0 usr/lib64/libssl.so.0.9.8 usr/lib64/libusb-0.1.so.4.4.4 usr/lib64/libusb-1.0.so.0.0.0 lib64/libnss_dns-2.10.1.so lib64/libnss_dns.so.2 lib64/libnss_files-2.10.1.so lib64/libnss_files.so.2 lib64/libgcc_s.so.1
31698 blocks
2009-12-04 00:04:34 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sdb with 1.
2009-12-04 00:04:34 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sdb with 1.
2009-12-04 00:04:34 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sdb with 1.
2009-12-04 00:04:34 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sdb with 1.
2009-12-04 00:04:34 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 8.
2009-12-04 00:04:34 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 10.
2009-12-04 00:04:34 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sdb with 1.
2009-12-04 00:04:34 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sdb with 1.


# parted /dev/sda print                 
Model: ATA ST3750330AS (scsi)
Disk /dev/sda: 750GB
Sector size (logical/physical): 512B/512B                   
Partition Table: msdos                                      

Number  Start   End    Size   Type     File system  Flags
 1      32.3kB  214MB  214MB  primary  ext3         boot, type=83
 2      214MB   750GB  750GB  primary               lvm, type=8e 


# parted /dev/sdb print
Error: Error opening /dev/sdb: No medium found                            
Retry/Cancel? c                                                           


# parted /dev/sdf print
Model: ATA ST3200822A (scsi)               
Disk /dev/sdf: 200GB                       
Sector size (logical/physical): 512B/512B  
Partition Table: msdos                     

Number  Start   End     Size    Type      File system     Flags
 1      32.3kB  995MB   995MB   primary   linux-swap(v1)  type=82
 2      995MB   43.9GB  43.0GB  primary   reiserfs        boot, lvm, type=8e
 3      43.9GB  86.9GB  42.9GB  primary   reiserfs        type=83           
 4      86.9GB  200GB   113GB   extended                  lba, type=0f      
 5      86.9GB  97.6GB  10.7GB  logical   reiserfs        type=83           
11      97.6GB  130GB   32.2GB  logical                   lvm, type=8e      
 6      130GB   162GB   32.1GB  logical                   lvm, type=8e      
10      162GB   162GB   82.2MB  logical   ext3            type=83           
 7      162GB   190GB   27.5GB  logical   reiserfs        lvm, type=8e      
 8      190GB   190GB   24.7MB  logical   ext3            type=83
 9      190GB   200GB   10.5GB  logical                   lvm, type=8e


# hwinfo --partition|grep --context=15 /dev/sda
28: None 00.0: 11300 Partition
  [Created at block.412]
  UDI: /org/freedesktop/Hal/devices/volume_uuid_fed11d28_f4a8_4393_8665_15bf7c745594
  Unique ID: bdUI.SE1wIdpsiiC
  Parent ID: 3OOL.Hziv6lPhOD2
  SysFS ID: /class/block/sda/sda1
  Hardware Class: partition
  Model: "Partition"
  Device File: /dev/sda1
  Device Files: /dev/sda1, /dev/block/8:1, /dev/disk/by-id/ata-ST3750330AS_5QK01R8N-part1, /dev/disk/by-id/scsi-SATA_ST3750330AS_5QK01R8N-part1, /dev/disk/by-path/pci-0000:00:1f.2-scsi-4:0:0:0-part1, /dev/disk/by-uuid/fed11d28-f4a8-4393-8665-15bf7c745594, /dev/disk/by-label/boot, /dev/disk/by-id/edd-int13_dev80-part1
  Config Status: cfg=no, avail=yes, need=no, active=unknown
  Attached to: #27 (Disk)

29: None 00.0: 11300 Partition
  [Created at block.412]
  UDI: /org/freedesktop/Hal/devices/volume_uuid_6L00sk_kPuV_en5F_N19B_lKfk_dmx1_YQwGVc
  Unique ID: 2pkM.SE1wIdpsiiC
  Parent ID: 3OOL.Hziv6lPhOD2
  SysFS ID: /class/block/sda/sda2
  Hardware Class: partition
  Model: "Partition"
  Device File: /dev/sda2
  Device Files: /dev/sda2, /dev/block/8:2, /dev/disk/by-id/ata-ST3750330AS_5QK01R8N-part2, /dev/disk/by-id/scsi-SATA_ST3750330AS_5QK01R8N-part2, /dev/disk/by-path/pci-0000:00:1f.2-scsi-4:0:0:0-part2, /dev/disk/by-id/edd-int13_dev80-part2, /dev/disk/by-id/lvm2-pvuuid-6L00sk-kPuV-en5F-N19B-lKfk-dmx1-YQwGVc
  Config Status: cfg=no, avail=yes, need=no, active=unknown
  Attached to: #27 (Disk)

35: None 00.0: 11300 Partition
  [Created at block.412]
  UDI: /org/freedesktop/Hal/devices/volume_part1_size_995226624
  Unique ID: +u4R.SE1wIdpsiiC
  Parent ID: LHfg.VSxKJANzUq3
  SysFS ID: /class/block/sdf/sdf1
  Hardware Class: partition
  Model: "Partition"
  Device File: /dev/sdf1
  Device Files: /dev/sdf1, /dev/block/8:81, /dev/disk/by-id/ata-ST3200822A_3LJ1QMMB-part1, /dev/disk/by-id/scsi-SATA_ST3200822A_3LJ1QMMB-part1, /dev/disk/by-path/pci-0000:03:00.1-scsi-0:0:1:0-part1, /dev/disk/by-id/edd-int13_dev81-part1
  Config Status: cfg=no, avail=yes, need=no, active=unknown
  Attached to: #34 (Disk)
Comment 4 Patrick Smart 2009-12-14 13:24:55 UTC
I could work this around by editing the boot loader settings and replacing
   /boot/vmlinuz...
   /boot/initrd...
by
   (hd0,0)/vmlinuz...
   (hd0,0)/initrd...

Despite the warning that the image is not present at the moment, it will then boot properly.
Comment 6 Michal Marek 2010-01-21 16:05:41 UTC
perl-Bootloader?
Comment 7 Josef Reidinger 2010-01-21 17:18:42 UTC
There is a problem in hardware detection. I need yast2 logs to investigate it. Please attach it - http://en.opensuse.org/Bugs/YaST#I_reported_a_YaST2_bug.2C_and_now_I_am_asked_to_.22attach_y2logs.22._What_does_that_mean.2C_and_how_do_I_do_that.3F
Comment 9 Hedge Hog 2010-01-21 21:29:04 UTC
Created attachment 338129 [details]
result of save_y2logs /tmp/y2logs.tgz

result of save_y2logs /tmp/y2logs.tgz
Comment 10 Patrick Smart 2010-01-21 21:55:12 UTC
Created attachment 338137 [details]
other result of save_y2logs /tmp/y2logs.tgz

In case another one is useful.
Comment 11 Alex Savin 2010-01-23 02:57:25 UTC
opensuse 11.2, after last update:

---------------------------------------------------
mkinitrd -v -i initrd-2.6.31.8-0.1-pae -k vmlinuz-2.6.31.8-0.1-pae

Kernel image:   /boot/vmlinuz-2.6.31.8-0.1-pae
Initrd image:   /boot/initrd-2.6.31.8-0.1-pae 
Root device:    /dev/disk/by-id/scsi-SATA_WDC_WD2500JS-55_WD-WCANK2514488-part1 (/dev/sda1) (mounted on / as ext3)
Resume device:  /dev/disk/by-id/ata-WDC_WD7500AAKS-00RBA0_WD-WCAPT1079139-part1 (/dev/sdb1)                       
[BLOCK] /dev/sda -> ahci                                                                                          
[BLOCK] /dev/sda -> sd_mod                                                                                        
[BLOCK] /dev/sdb -> ahci                                                                                          
[BLOCK] /dev/sdb -> sd_mod                                                                                        
[MODULES]       02-start.sh: pata_atiixp ahci ata_generic atiixp ide_pci_generic jbd mbcache ext3 edd             
[MODULES]       02-start.sh:                                                                                      
[MODULES]       03-rtc.sh: rtc_cmos                                                                               
[MODULES]       03-storage.sh:                                                                                    
[MODULES]       11-block.sh: ahci sd_mod                                                                          
[MODULES]       11-usb.sh: usbcore                                                                                
[MODULES]       11-usb.sh: ohci_hcd                                                                               
[MODULES]       11-usb.sh: uhci-hcd                                                                               
[MODULES]       11-usb.sh: ehci_hcd                                                                               
[MODULES]       11-usb.sh: usbhid                                                                                 
[MODULES]       'modinfo -k "2.6.31.8-0.1-pae" -F supported'  returned with an error.                             
modprobe: Could not open '/lib/modules/2.6.31.8-0.1-pae/kernel/drivers/ata/pata_atiixp.ko': No such file or directory
WARNING: no dependencies for kernel module 'pata_atiixp' found.                                                      
modprobe: Could not open '/lib/modules/2.6.31.8-0.1-pae/kernel/drivers/ata/ata_generic.ko': No such file or directory
WARNING: no dependencies for kernel module 'ata_generic' found.                                                      
WARNING: Could not open '/lib/modules/2.6.31.8-0.1-pae/kernel/drivers/ide/ide-core.ko': No such file or directory    
modprobe: Could not open '/lib/modules/2.6.31.8-0.1-pae/kernel/drivers/ide/atiixp.ko': No such file or directory     
WARNING: no dependencies for kernel module 'atiixp' found.                                                           
WARNING: Could not open '/lib/modules/2.6.31.8-0.1-pae/kernel/drivers/ide/ide-core.ko': No such file or directory    
modprobe: Could not open '/lib/modules/2.6.31.8-0.1-pae/kernel/drivers/ide/ide-pci-generic.ko': No such file or directory
WARNING: no dependencies for kernel module 'ide_pci_generic' found.                                                      
[MODULES]       Module 'usbcore' is compiled in                                                                          
[MODULES]       Module 'ohci_hcd' is compiled in                                                                         
[MODULES]       Module 'ehci_hcd' is compiled in                                                                         
[MODULES]       Module 'usbhid' is compiled in                                                                           
Kernel Modules: edd                                                                                                      
[MOUNT] Root:   /dev/disk/by-id/scsi-SATA_WDC_WD2500JS-55_WD-WCANK2514488-part1                                          
Features:       block usb resume.userspace resume.kernel                                                                 
Bootsplash:     SLED (1280x1024)                                                                                         
Shared libs:    lib/ld-2.10.1.so lib/libacl.so.1.1.0 lib/libattr.so.1.1.0 lib/libblkid.so.1.1.0 lib/libc-2.10.1.so lib/libcap.so.2.16 lib/libcom_err.so.2.1 lib/libdevmapper.so.1.02 lib/libdl-2.10.1.so lib/libe2p.so.2.3 lib/libext2fs.so.2.4 lib/libgcrypt.so.11.5.2 lib/libgpg-error.so.0.5.0 lib/libkeyutils-1.2.so lib/liblzo2.so.2.0.0 lib/libncurses.so.5.6 lib/libpci.so.3.1.3 lib/libpcre.so.0.0.1 lib/libpthread-2.10.1.so lib/libreadline.so.6.0 lib/libresolv-2.10.1.so lib/librt-2.10.1.so lib/libselinux.so.1 lib/libudev.so.0.5.0 lib/libutil-2.10.1.so lib/libuuid.so.1.3.0 lib/libz.so.1.2.3 usr/lib/libatasmart.so.4.0.0 usr/lib/libcrypto.so.0.9.8 usr/lib/libcups.so.2 usr/lib/libdal-0.3.so.0.0.0 usr/lib/libdirect-1.2.so.0.8.0 usr/lib/libdirectfb-1.2.so.0.8.0 usr/lib/libfusion-1.2.so.0.8.0 usr/lib/libglib-2.0.so.0.2200.1 usr/lib/libgssapi_krb5.so.2.2 usr/lib/libk5crypto.so.3.1 usr/lib/libkrb5.so.3.3 usr/lib/libkrb5support.so.0.1 usr/lib/libparted-1.9.so.0.0.0 usr/lib/libreiserfs-0.3.so.0.0.0 usr/lib/libsplashy.so.1.0.0 usr/lib/libsplashycnf.so.1.0.0 usr/lib/libssl.so.0.9.8 usr/lib/libusb-0.1.so.4.4.4 usr/lib/libusb-1.0.so.0.0.0 lib/libnss_dns-2.10.1.so lib/libnss_dns-2.8.so lib/libnss_dns.so.2 lib/libnss_files-2.10.1.so lib/libnss_files-2.8.so lib/libnss_files.so.2 lib/libgcc_s.so.1                                                                                                                        
30090 blocks                                                                                                                                                 
2010-01-23 05:51:18 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/disk/by-id/ata-WDC_WD2500JS-55MHB0_WD-WCANK2514488 with 1.                   
2010-01-23 05:51:18 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/disk/by-id/ata-WDC_WD2500JS-55MHB0_WD-WCANK2514488 with 1.                   
2010-01-23 05:51:18 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/disk/by-id/ata-WDC_WD2500JS-55MHB0_WD-WCANK2514488 with 1.                   
2010-01-23 05:51:18 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/disk/by-id/ata-WDC_WD2500JS-55MHB0_WD-WCANK2514488 with 1.                   
2010-01-23 05:51:18 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/disk/by-id/ata-WDC_WD2500JS-55MHB0_WD-WCANK2514488 with 1.
2010-01-23 05:51:18 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/disk/by-id/ata-WDC_WD2500JS-55MHB0_WD-WCANK2514488 with 1.
2010-01-23 05:51:18 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/disk/by-id/ata-WDC_WD2500JS-55MHB0_WD-WCANK2514488 with 1.
2010-01-23 05:51:18 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/disk/by-id/ata-WDC_WD2500JS-55MHB0_WD-WCANK2514488 with 1.
2010-01-23 05:51:18 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/disk/by-id/ata-WDC_WD2500JS-55MHB0_WD-WCANK2514488 with 1.
2010-01-23 05:51:18 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/disk/by-id/ata-WDC_WD2500JS-55MHB0_WD-WCANK2514488 with 1.
2010-01-23 05:51:18 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/disk/by-id/ata-WDC_WD2500JS-55MHB0_WD-WCANK2514488 with 1.
2010-01-23 05:51:18 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/disk/by-id/ata-WDC_WD2500JS-55MHB0_WD-WCANK2514488 with 1.
2010-01-23 05:51:18 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/disk/by-id/ata-WDC_WD2500JS-55MHB0_WD-WCANK2514488 with 1.
2010-01-23 05:51:18 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/disk/by-id/ata-WDC_WD2500JS-55MHB0_WD-WCANK2514488 with 1.
2010-01-23 05:51:18 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/disk/by-id/ata-WDC_WD2500JS-55MHB0_WD-WCANK2514488 with 1.
2010-01-23 05:51:18 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/disk/by-id/ata-WDC_WD2500JS-55MHB0_WD-WCANK2514488 with 1.
2010-01-23 05:51:18 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/disk/by-id/ata-WDC_WD2500JS-55MHB0_WD-WCANK2514488 with 1.
2010-01-23 05:51:18 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/disk/by-id/ata-WDC_WD2500JS-55MHB0_WD-WCANK2514488 with 1.
2010-01-23 05:51:18 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/disk/by-id/ata-WDC_WD2500JS-55MHB0_WD-WCANK2514488 with 1.
2010-01-23 05:51:18 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/disk/by-id/ata-WDC_WD2500JS-55MHB0_WD-WCANK2514488 with 1.
2010-01-23 05:51:18 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/disk/by-id/ata-WDC_WD2500JS-55MHB0_WD-WCANK2514488 with 1.


---------------------------------------------------
parted /dev/sda print
Model: ATA WDC WD2500JS-55M (scsi)
Disk /dev/sda: 250GB
Sector size (logical/physical): 512B/512B
Partition Table: msdos

Number  Start   End     Size    Type     File system     Flags
 1      32.3kB  1308MB  1308MB  primary  ext3            boot, type=83
 2      1308MB  2352MB  1045MB  primary  linux-swap(v1)  type=82
 3      2352MB  40.1GB  37.7GB  primary  ext3            type=83
 4      40.1GB  250GB   210GB   primary  reiserfs        type=83
---------------------------------------------------
parted /dev/sdb print
Model: ATA WDC WD7500AAKS-0 (scsi)
Disk /dev/sdb: 750GB
Sector size (logical/physical): 512B/512B
Partition Table: msdos

Number  Start   End     Size    Type     File system     Flags
 1      32.3kB  2155MB  2155MB  primary  linux-swap(v1)  type=82
 2      2155MB  8604MB  6449MB  primary  ext3            type=83
 3      8604MB  750GB   742GB   primary  ext3            type=83



---------------------------------------------------
hwinfo --partition|grep --context=15 /dev/sda
28: None 00.0: 11300 Partition                                  
  [Created at block.412]                                        
  UDI: /org/freedesktop/Hal/devices/volume_uuid_aac716f2_3e81_436c_8700_0b2f3ebd491e
  Unique ID: bdUI.SE1wIdpsiiC                                                       
  Parent ID: 3OOL.iviGlJSkIh0                                                       
  SysFS ID: /class/block/sda/sda1                                                   
  Hardware Class: partition                                                         
  Model: "Partition"
  Device File: /dev/sda1
  Device Files: /dev/sda1, /dev/root, /dev/disk/by-path/pci-0000:00:11.0-scsi-1:0:0:0-part1, /dev/disk/by-id/edd-int13_dev80-part1
  Config Status: cfg=new, avail=yes, need=no, active=unknown
  Attached to: #27 (Disk)

29: None 00.0: 11300 Partition
  [Created at block.412]
  UDI: /org/freedesktop/Hal/devices/volume_uuid_34c9db43_ec7b_4be4_986d_86f521a0da2d
  Unique ID: 2pkM.SE1wIdpsiiC
  Parent ID: 3OOL.iviGlJSkIh0
  SysFS ID: /class/block/sda/sda2
  Hardware Class: partition
  Model: "Partition"
  Device File: /dev/sda2
  Device Files: /dev/sda2, /dev/disk/by-path/pci-0000:00:11.0-scsi-1:0:0:0-part2, /dev/disk/by-id/edd-int13_dev80-part2
  Config Status: cfg=new, avail=yes, need=no, active=unknown
  Attached to: #27 (Disk)

30: None 00.0: 11300 Partition
  [Created at block.412]
  UDI: /org/freedesktop/Hal/devices/volume_uuid_7e56b331_f6d3_4a0f_b6bc_5d015de17b10
  Unique ID: W__Q.SE1wIdpsiiC
  Parent ID: 3OOL.iviGlJSkIh0
  SysFS ID: /class/block/sda/sda3
  Hardware Class: partition
  Model: "Partition"
  Device File: /dev/sda3
  Device Files: /dev/sda3, /dev/disk/by-path/pci-0000:00:11.0-scsi-1:0:0:0-part3, /dev/disk/by-id/edd-int13_dev80-part3
  Config Status: cfg=new, avail=yes, need=no, active=unknown
  Attached to: #27 (Disk)

31: None 00.0: 11300 Partition
  [Created at block.412]
  UDI: /org/freedesktop/Hal/devices/volume_uuid_29a38574_83d7_4401_8aac_68aa76d56859
  Unique ID: z9FV.SE1wIdpsiiC
  Parent ID: 3OOL.iviGlJSkIh0
  SysFS ID: /class/block/sda/sda4
  Hardware Class: partition
  Model: "Partition"
  Device File: /dev/sda4
  Device Files: /dev/sda4, /dev/disk/by-path/pci-0000:00:11.0-scsi-1:0:0:0-part4, /dev/disk/by-id/edd-int13_dev80-part4
  Config Status: cfg=new, avail=yes, need=no, active=unknown
  Attached to: #27 (Disk)

33: None 00.0: 11300 Partition
  [Created at block.412]
  UDI: /org/freedesktop/Hal/devices/volume_uuid_efa8dbc2_a5d6_47fd_a0b1_18f973a64993
  Unique ID: h4pj.SE1wIdpsiiC
  Parent ID: WZeP.c_5b6nYcJC3
  SysFS ID: /class/block/sdb/sdb1
  Hardware Class: partition
  Model: "Partition"
  Device File: /dev/sdb1
  Device Files: /dev/sdb1, /dev/disk/by-path/pci-0000:00:11.0-scsi-2:0:0:0-part1, /dev/disk/by-id/edd-int13_dev81-part1
  Config Status: cfg=new, avail=yes, need=no, active=unknown
  Attached to: #32 (Disk)


rpm -q perl-Bootloader
perl-Bootloader-0.5.6.1-0.1.1.i586
Comment 12 Alex Savin 2010-01-25 03:39:49 UTC
WARNING still exist, but system bootable.
Look like this is not important
Comment 13 Sanjay Kumar J 2010-01-27 18:57:57 UTC
For me system is not bootable

sbvn:/boot # mkinitrd -v -i initrd-2.6.33-rc5_bfs-0.1-desktop -k vmlinuz-2.6.33-rc5_bfs-0.1-desktop
Kernel image:   /boot/vmlinuz-2.6.33-rc5_bfs-0.1-desktop
Initrd image:   /boot/initrd-2.6.33-rc5_bfs-0.1-desktop
Root device:	/dev/disk/by-id/ata-ST380215AS_6RW3VZXD-part5 (/dev/sda5) (mounted on / as ext4)
Resume device:	/dev/disk/by-id/ata-ST380215AS_6RW3VZXD-part2 (/dev/sda2)
[BLOCK] /dev/sda -> sata_nv
[BLOCK] /dev/sda -> sd_mod
[MODULES]	02-start.sh: thermal sata_nv pata_amd ata_generic amd74xx ide_pci_generic processor fan
[MODULES]	02-start.sh: 
[MODULES]	03-rtc.sh: rtc_cmos
[MODULES]	03-storage.sh: ext4
[MODULES]	11-block.sh: sata_nv sd_mod
[MODULES]	11-usb.sh: usbcore
[MODULES]	11-usb.sh: ohci_hcd
[MODULES]	11-usb.sh: uhci-hcd
[MODULES]	11-usb.sh: ehci_hcd
[MODULES]	11-usb.sh: usbhid
[MODULES]	'modinfo -k "2.6.33-rc5_bfs-0.1-desktop" -F supported'  returned with an error.
Kernel Modules:	thermal_sys thermal sata_nv pata_amd ata_generic ide-core amd74xx ide-pci-generic processor fan crc16 jbd2 ext4 
[MOUNT] Root:	/dev/disk/by-id/ata-ST380215AS_6RW3VZXD-part5
Features:       block usb resume.userspace resume.kernel
Bootsplash:	sugar (1024x768)disabled for resolution 1360x768

Shared libs:	lib64/ld-2.11.so lib64/libacl.so.1.1.0 lib64/libattr.so.1.1.0 lib64/libblkid.so.1.1.0 lib64/libcap.so.2.16 lib64/libcom_err.so.2.1 lib64/libc-2.11.so lib64/libdevmapper.so.1.02 lib64/libdl-2.11.so lib64/libe2p.so.2.3 lib64/libext2fs.so.2.4 lib64/libgcrypt.so.11.5.2 lib64/libgpg-error.so.0.5.0 lib64/libkeyutils-1.2.so lib64/liblzo2.so.2.0.0 lib64/libncurses.so.5.7 lib64/libpci.so.3.1.4 lib64/libpcre.so.0.0.1 lib64/libpthread-2.11.so lib64/libreadline.so.6.0 lib64/libresolv-2.11.so lib64/librt-2.11.so lib64/libselinux.so.1 lib64/libsysfs.so.2.0.1 lib64/libudev.so.0.5.0 lib64/libutil-2.11.so lib64/libuuid.so.1.3.0 lib64/libz.so.1.2.3 usr/lib64/libatasmart.so.4.0.3 usr/lib64/libcrypto.so.0.9.8 usr/lib64/libcups.so.2 usr/lib64/libdal-0.3.so.0.0.0 usr/lib64/libdirect-1.2.so.0.8.0 usr/lib64/libdirectfb-1.2.so.0.8.0 usr/lib64/libfusion-1.2.so.0.8.0 usr/lib64/libglib-2.0.so.0.2300.1 usr/lib64/libgssapi_krb5.so.2.2 usr/lib64/libk5crypto.so.3.1 usr/lib64/libkrb5.so.3.3 usr/lib64/libkrb5support.so.0.1 usr/lib64/libparted-1.9.so.0.0.0 usr/lib64/libreiserfs-0.3.so.0.0.0 usr/lib64/libsplashycnf.so.1.0.0 usr/lib64/libsplashy.so.1.0.0 usr/lib64/libssl.so.0.9.8 usr/lib64/libusb-0.1.so.4.4.4 usr/lib64/libusb-1.0.so.0.0.0 lib64/libnss_dns-2.11.so lib64/libnss_dns.so.2 lib64/libnss_files-2.11.so lib64/libnss_files.so.2 lib64/libgcc_s.so.1 
58327 blocks
2010-01-28 00:26:09 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 1.
2010-01-28 00:26:09 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 1.
2010-01-28 00:26:09 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 1.
2010-01-28 00:26:09 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 1.
2010-01-28 00:26:09 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 1.
2010-01-28 00:26:09 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 1.
2010-01-28 00:26:09 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 1.
2010-01-28 00:26:09 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 1.
2010-01-28 00:26:09 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 1.
2010-01-28 00:26:09 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 1.
2010-01-28 00:26:09 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 1.
2010-01-28 00:26:09 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 1.
2010-01-28 00:26:09 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 1.
2010-01-28 00:26:09 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 1.
2010-01-28 00:26:09 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 1.
2010-01-28 00:26:09 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 1.
2010-01-28 00:26:09 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 1.
2010-01-28 00:26:09 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 1.
2010-01-28 00:26:09 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 1.
2010-01-28 00:26:09 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 1.
2010-01-28 00:26:09 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 1.
2010-01-28 00:26:09 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 1.
2010-01-28 00:26:09 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 1.
2010-01-28 00:26:09 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 1.
2010-01-28 00:26:09 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 1.
2010-01-28 00:26:09 WARNING: GRUB::GrubDev2UnixDev: No partition found for /dev/sda with 1.
Comment 14 Josef Reidinger 2010-02-11 12:40:53 UTC
If system is bootable or not depend on partition because perl-Bootloader use as fallback default values which sometimework and sometime doesnot (it is last save when translating device fail, so I need to find root of this problems).
Thanks for logs.
Comment 15 Josef Reidinger 2010-02-25 14:18:20 UTC
(In reply to comment #9)
> Created an attachment (id=338129) [details]
> result of save_y2logs /tmp/y2logs.tgz
> 
> result of save_y2logs /tmp/y2logs.tgz

I study your logs and found quite strange hardware detection. It looks like you have multipath device usual setup with LVM...but in next kernel update when problems start it detect multipath device??? and for that device it detect strange partitions. 

Please post output of command multipath -l -d
Comment 16 Josef Reidinger 2010-02-25 14:25:50 UTC
(In reply to comment #10)
> Created an attachment (id=338137) [details]
> other result of save_y2logs /tmp/y2logs.tgz
> 
> In case another one is useful.

I study your logs and problem in your case is that kernel change its kernel device name which could happen and for this case we introduce persistent device names ( via udev). So if you upgrade from older version or install freshly and explicit set mount by kernel device it is written in device map and has problem id kernel switch device name. Sorry in this case I cannot help you.
Comment 17 Josef Reidinger 2010-02-25 14:26:27 UTC
Hedge - see comment #15 and please provide output.
Comment 18 Sanjay Kumar J 2010-02-26 02:29:37 UTC
In the mean time I have updated to factory and also added few more repos. I think I didn't see the issue for sometime then It started reappearing now. 

sbvn:/home/vjsanjay # uname -a
Linux sbvn.site 2.6.33-rc8_bfs-13-vanilla #1 SMP PREEMPT Thu Feb 18 23:32:23 IST 2010 x86_64 x86_64 x86_64 GNU/Linux
sbvn:/home/vjsanjay # multipath -l -d
Feb 26 07:49:18 | DM multipath kernel driver not loaded
Comment 19 Andreas Kilgus 2010-07-20 11:54:41 UTC
Created attachment 377158 [details]
log of mkinitrd call resulting in warnings
Comment 20 Andreas Kilgus 2010-07-20 11:56:05 UTC
Created attachment 377159 [details]
log of perl-Bootloader resulting in warnings
Comment 21 Andreas Kilgus 2010-07-20 11:58:27 UTC
One of my machines running openSUSE 11.2 shows these warnings, too. I attached two logs of a call of mkinitrd. I can provide additional information and make tests, just name your needs.
Comment 22 Josef Reidinger 2010-07-20 12:00:48 UTC
Thanks for logs. I must investigate it first.
Comment 23 Andreas Kilgus 2010-07-27 09:50:45 UTC
Any ideas or patches I can test in the wild?
Comment 24 Josef Reidinger 2010-07-27 10:04:07 UTC
(In reply to comment #23)
> Any ideas or patches I can test in the wild?

I check logs and it looks like I already fixing such problem. What version of perl-Bootloader do you have? 0.5.12 (it contains fix for issue)??
Comment 25 Andreas Kilgus 2010-07-27 10:18:05 UTC
openSUSE 11.2; beside openSUSE Tools, server monitoring and PHP extensions no repositories in addition to the standard ones -> perl-Bootloader-0.5.6.1-0.1.1.i586.

Via webpin I found out that version 0.5.10 is available in [YaST:/Head], but 0.5.12 doesn't show up in any repository for 11.2. Upgrading to openSUSE 11.3 is not an option at the moment since the machine showing the errors is a production machine with evaluated versions of relevant software.
Comment 26 Andreas Kilgus 2010-07-27 10:24:58 UTC
Strange - I had a look at http://download.opensuse.org/repositories/YaST:/Head/openSUSE_11.2/i586/ and found perl-Bootloader-0.5.12-2.1.i586.rpm, so webpin didn't report the correct result when looking for perl-Bootloader. I'll give 0.5.12 a try if YaST:/Head will not send me to dependency hell ... ;)
Comment 27 Andreas Kilgus 2010-07-27 10:40:26 UTC
With perl-Bootloader 0.5.12 the "No partition found for [...]" messages have vanished, running mkinitrd shows the usual output only - that's very gratifying. :)

Since I do not know what kind of changes you applied to perl-Bootloader: Do I have to take care of or inspect something that might have gone wrong silently to assure that the machine will reboot successfully?
Comment 28 Josef Reidinger 2010-07-27 10:49:01 UTC
(In reply to comment #27)
> With perl-Bootloader 0.5.12 the "No partition found for [...]" messages have
> vanished, running mkinitrd shows the usual output only - that's very
> gratifying. :)
> 
> Since I do not know what kind of changes you applied to perl-Bootloader: Do I
> have to take care of or inspect something that might have gone wrong silently
> to assure that the machine will reboot successfully?

Thanks to confirm fix.
With fix and without any warning everything works as expected and you do not need worry.
Without fix it depends how many disc you have. If you have only one or boot from first disc (from BIOS perspective), then fallback works good. Of course if you check menu.lst after install of new kernel it ensure that everything is OK (in some caseit can cause bad root() argument in menu.lst).
Comment 29 Patrick Smart 2010-07-27 20:02:36 UTC
I have installed 11.3 and I think I remember seeing all the warnings are upgrade time. Now I ran mkinitrd manually and it just went smoothly. Does that make sense?
Comment 30 Andreas Kilgus 2010-07-28 13:15:41 UTC
(In reply to comment #28)
> (In reply to comment #27)
> > 
> > Since I do not know what kind of changes you applied to perl-Bootloader: Do I
> > have to take care of or inspect something that might have gone wrong silently
> > to assure that the machine will reboot successfully?
> 
> Thanks to confirm fix.
> With fix and without any warning everything works as expected and you do not
> need worry.

The machine booted - there was some trouble with the network device, but grub et al worked fine.

Meanwhile I upgraded my notebook from openSUSE 11.2 to 11.3 online - and here we go again: Several "GrubDev2UnixDev: No partition found [...]" messages appear when running mkinitrd.

perl-Bootloader-0.5.12-4.1.i586 (from YaST:/Head)
kernel-desktop-2.6.34-12.3.i586
grub-0.97-171.1.i586

I let "yast2 bootloader" already suggest a new setup and cleaned menu.lst manually, too, so no double entries, nothing that appears to be faulty.

Which files / information do you want me to provide?
Comment 31 Josef Reidinger 2010-07-29 06:35:27 UTC
(In reply to comment #29)
> I have installed 11.3 and I think I remember seeing all the warnings are
> upgrade time. Now I ran mkinitrd manually and it just went smoothly. Does that
> make sense?

Yes, unless kernel pre require new version of perl-bootloader, then old one can be used during upgrade.
Comment 32 Josef Reidinger 2010-07-29 06:43:23 UTC
(In reply to comment #30)
> (In reply to comment #28)
> > (In reply to comment #27)
> > > 
> > > Since I do not know what kind of changes you applied to perl-Bootloader: Do I
> > > have to take care of or inspect something that might have gone wrong silently
> > > to assure that the machine will reboot successfully?
> > 
> > Thanks to confirm fix.
> > With fix and without any warning everything works as expected and you do not
> > need worry.
> 
> The machine booted - there was some trouble with the network device, but grub
> et al worked fine.
> 
> Meanwhile I upgraded my notebook from openSUSE 11.2 to 11.3 online - and here
> we go again: Several "GrubDev2UnixDev: No partition found [...]" messages
> appear when running mkinitrd.
> 
> perl-Bootloader-0.5.12-4.1.i586 (from YaST:/Head)
> kernel-desktop-2.6.34-12.3.i586
> grub-0.97-171.1.i586
> 
> I let "yast2 bootloader" already suggest a new setup and cleaned menu.lst
> manually, too, so no double entries, nothing that appears to be faulty.
> 
> Which files / information do you want me to provide?

OK, please provide yast logs. It shows whole upgrade. http://en.opensuse.org/openSUSE:Bugreport_YaST#I_reported_a_YaST2_bug.2C_and_now_I_am_asked_to_.22attach_y2logs.22._What_does_that_mean.2C_and_how_do_I_do_that.3F
Comment 33 Andreas Kilgus 2010-07-29 10:01:23 UTC
Created attachment 379157 [details]
Upgrade-Log et al

Ok, here's the wanted tgz.
Comment 34 Josef Reidinger 2010-07-29 11:59:01 UTC
(In reply to comment #33)
> Created an attachment (id=379157) [details]
> Upgrade-Log et al
> 
> Ok, here's the wanted tgz.

OK, thanks. I see in history that you were bad device map, which contain parition instead disc. But last upgrade is correct and problem is in udev, which doesn't report anything.
Could you please try to run command `udevadm info -q all -n /dev/sda` ? ( I already see this issue in one case, but user doesn't communicate )
Comment 35 Andreas Kilgus 2010-07-29 13:32:32 UTC
(In reply to comment #34)
> Could you please try to run command `udevadm info -q all -n /dev/sda` ? ( I
> already see this issue in one case, but user doesn't communicate )

Output (typed manually due to temporary lack of network, I hope without mistakes):

P: /devices/pci0000:00/0000:00:1f.1/host0/target0:0:0/0:0:0:0/block/sda
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1f.1/host0/target0:0:0/0:0:0:0/block/sda
E: SUBSYSTEM=block
E: MAJOR=8
E: MINOR=0
E: DEVNAME=sda
E: DEVTYPE=disk
Comment 36 Josef Reidinger 2010-07-29 13:35:40 UTC
Thanks. It is what I expect.
Kay: Could you please check why there is missing N: and S: which I use to store udev symlinks?
Comment 37 Kay Sievers 2010-07-29 14:13:21 UTC
It's probably the same as the other issues: a new udev version installed on the running system can not read the database of the old udev version, which has created the database.

There is currently no support for such setups from the udev side. Updating udev to a different version might result in loss of some database entries. Such changes don't happen often, but other requirements forced a change in the database format between udev from 11.2 and 11.3. That's usually not a problem for other tools.

Isn't it just the same ordering issue, we've seen already, between updating udev and the bootloader at the same time?
Comment 38 Josef Reidinger 2010-07-29 14:27:08 UTC
(In reply to comment #37)
> It's probably the same as the other issues: a new udev version installed on the
> running system can not read the database of the old udev version, which has
> created the database.
> 
> There is currently no support for such setups from the udev side. Updating udev
> to a different version might result in loss of some database entries. Such
> changes don't happen often, but other requirements forced a change in the
> database format between udev from 11.2 and 11.3. That's usually not a problem
> for other tools.
> 
> Isn't it just the same ordering issue, we've seen already, between updating
> udev and the bootloader at the same time?

So if I prerequire new version of new udev can I avoid such problem?
Comment 39 Kay Sievers 2010-07-29 14:31:32 UTC
(In reply to comment #38)
> > Isn't it just the same ordering issue, we've seen already, between updating
> > udev and the bootloader at the same time?
> 
> So if I prerequire new version of new udev can I avoid such problem?

What means 'prerequire' in that context?

The problem is that the 11.3 udev can not read parts of the still running 11.2 udev database. We need to make sure, that during an upgrade, the bootloader is updated before udev, because the udev update renders parts of the information you seem to need inaccessible.
Comment 40 Josef Reidinger 2010-07-29 14:35:59 UTC
OK, this means that kernel must be installed before udev.
Michal - is possible to ensure it?
Comment 41 Michal Marek 2010-07-29 15:03:08 UTC
Sorry, I have no idea how to ensure this from the kernel package side. IMO we should stop pretending that we support zypper dup to a new openSUSE version.
Comment 42 Andreas Kilgus 2010-07-29 17:04:28 UTC
I got interested if I can do some debugging on my own. Therefore, as a first step, I looked for executables in the perl-Bootloader package, that might trigger the relevant functions without the "overhead" of running mkinitrd after each change I try.

To make a long story short:

After having called "update-bootloader --refresh" just once mkinitrd completes without throwing "No partition found [...]" messages.

Cosmetic only? Side effects? Or a possible step towards a solution?
Comment 43 Felix Miata 2010-07-29 17:46:12 UTC
(In reply to comment #41)
> IMO we
> should stop pretending that we support zypper dup to a new openSUSE version.

How else would you that Factory get updated from milestone to milestone? Maybe zypper was too grand a scheme for available resources and apt or yum should have been used instead?

IMO any udev version that cannot read an older udev version's DB is a broken udev unsuited for a GM release.
Comment 44 Andreas Kilgus 2010-07-29 18:19:02 UTC
(In reply to comment #41)
> Sorry, I have no idea how to ensure this from the kernel package side. IMO we
> should stop pretending that we support zypper dup to a new openSUSE version.

My personal statistic (three machines with and without raid, complex and minimalistic setups) isn't that bad: 10.3 -> 11.0 -> 11.1 -> 11.2 worked flawlessly on two machines, one of them now in trouble at 11.2 -> 11.3, the third one tumbled at 11.1 -> 11.2 though its upgrades 10.3 -> 11.0 -> 11.1 were no big deal. So "zypper dup" is not perfect, but far from being completely dysfunctional, too.
Comment 45 Alex Savin 2010-07-29 18:35:59 UTC
(In reply to comment #41)
> Sorry, I have no idea how to ensure this from the kernel package side. IMO we
> should stop pretending that we support zypper dup to a new openSUSE version.

upgrade openSUSE - its must have feature


(In reply to comment #43)
> (In reply to comment #41)
> IMO any udev version that cannot read an older udev version's DB is a broken
> udev unsuited for a GM release.
+1
Comment 46 Andreas Kilgus 2010-08-09 12:50:57 UTC
(In reply to comment #42)

> After having called "update-bootloader --refresh" just once mkinitrd completes
> without throwing "No partition found [...]" messages.
> 
> Cosmetic only? Side effects? Or a possible step towards a solution?

Hm, developers (including myself) often complain that bug reporters don't provide necessary infos, even on request. Developers not reacting to bug reporters willing to provide infos don't encourage either ... ;-)

Therefore: Any logs you're interested in? Something I'm proposed to try to enlighten why "update-bootloader --refresh" killed the warnings?
Comment 47 Josef Reidinger 2010-08-16 08:09:49 UTC
(In reply to comment #46)
> (In reply to comment #42)
> 
> > After having called "update-bootloader --refresh" just once mkinitrd completes
> > without throwing "No partition found [...]" messages.
> > 
> > Cosmetic only? Side effects? Or a possible step towards a solution?
> 
> Hm, developers (including myself) often complain that bug reporters don't
> provide necessary infos, even on request. Developers not reacting to bug
> reporters willing to provide infos don't encourage either ... ;-)
> 
> Therefore: Any logs you're interested in? Something I'm proposed to try to
> enlighten why "update-bootloader --refresh" killed the warnings?

Hi, problem is that we know where is problem, but don't have any idea how to fix it, so now we try to find possible solutions.
Comment 48 Josef Reidinger 2010-10-04 13:40:32 UTC
coolo - do you have idea how we can ensure that kernel is installed before udev update? Or how we can in general solve this issue?
Perl-Bootloader cannot work properly if we use persistent device names and udev doesn't read its own database and doesn't return devices as expected.
Comment 49 Stephan Kulow 2010-10-04 13:52:58 UTC
well, can you skip the action if you recognize the situation? If so, I would suggest to do so and have udev %post call update-bootloader. But perhaps I misunderstood the problem.
Comment 50 Josef Reidinger 2010-10-04 14:00:23 UTC
(In reply to comment #49)
> well, can you skip the action if you recognize the situation? If so, I would
> suggest to do so and have udev %post call update-bootloader. But perhaps I
> misunderstood the problem.

No, problem occur if udev installed before new kernel. In this case udev stop returning new devices and when new kernel is installed it cannot properly add new entry to bootloader entry.
see comment #39
Comment 51 Stephan Kulow 2010-10-04 14:10:27 UTC
hmm, so we actually need to build udev against the kernel and require kernel >= %thenewkernelversion ?

I see no other way off the top of my head.
Comment 52 Josef Reidinger 2010-10-04 14:13:48 UTC
OK, so kay is it possible to do it in udev?
Comment 53 Kay Sievers 2010-10-04 14:18:57 UTC
I don't think so. Unless every check-in of the kernel goes along with an update of the udev package. Or how is that supposed to work?
Comment 54 Kay Sievers 2010-10-04 16:15:10 UTC
There is no way to ensure a kernel update before udev. I don't think we can do anything here.

In the future, we need to make sure to migrate existing entries of the udev database on format changes.
Comment 55 Kay Sievers 2010-10-14 09:32:48 UTC
Closing, as it seems, we can't work around this. We'll need to try to avoid such issues in the future.
Comment 56 Christian Boltz 2010-10-21 15:35:14 UTC
(In reply to comment #55)
> Closing, as it seems, we can't work around this. We'll need to try to avoid
> such issues in the future.

I can imagine two possible workarounds - at least I think so ;-)

a) easy: add
    Requires: kernel >= $kernel_version_in_11.3
to the udev package and release it as update for 11.3.
This should change the install order in zypper (needs to be tested for circular dependencies, but in theory it should work).

b) slightly more complex method, but should work for sure:
part 1: let the old package write the current boot partition to a tempfile in the %preun script. Release this package as update for 11.2.

(In reply to comment #34)
> [...] problem is in udev, which doesn't report anything.

Thats part 2 - release a new udev package for 11.3 that reads the tempfile generated above as a fallback. 


Both methods will work for people that include the 11.3 update repo when running zypper dup.
Comment 57 Kay Sievers 2010-10-24 16:39:46 UTC
There can be many kernels installed, and the bootloader would be updated for all of them. We can't depend on a specific version.

Udev has no idea what a boot partition is, and should not try to get into that business.

It's a limitation in the update stack/the update transaction logic, that we can't express to order things. There is currently no idea how to fix that issue at that level.

In the future we need to make sure, that udev can read it's old database if stuff depends on the old content, which was never the case before.
Comment 58 Kay Sievers 2010-11-11 07:44:39 UTC
As said in comment#55, we need to avoid this in the future if we can't solve such problems otherwise, and have dependencies on the running udev and its actual database content.

I don't see how we can fix properly for the already released product. We can not add dependencies on specific kernels, and udev has no idea how to, and should not, write out bootloader information on its update.